This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 483549 - New upstream release 3.7
New upstream release 3.7
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: joe (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 07:02 EST by Hans de Goede
Modified: 2009-02-14 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 06:47:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2009-02-02 07:02:53 EST
Hi,

I'm a fervent joe user and I was having some problems with joe (segfaulting regulary) so I looked upstream to see if there might be any fixes, and then I noticed that our version is a bit stale.

I've prepared a rebase to 3.7 (including rebasing our patches). Just say the word and I'll commit (I'm in the proven packager group) and build it for rawhide.

Also as I use joe on a daily basis I would like to co-maintain it with you, if that is ok with you then I'll request the necessary rights in pkgdb.
Comment 1 Ivana Varekova 2009-02-03 06:47:00 EST
Thanks. Fixed.
Comment 2 Hans de Goede 2009-02-14 17:01:46 EST
<sigh>

Half fixed, why is reading so hard? I offered to co-maintain, it would be nice if you responded to that. Also I said I already had a new package ready to commit to CVS, this bz was just a courtesy thing, you didn't need to spend any time on this other then to type: Go ahead commit the new version.

Instead you've duplicated some of my work, and did a bad job at it. Yes joe does not put translations in a standard place, that is something which would be nice to fix, but by removing them completely you've broken translations in joe, as they do work when left where joe puts them.

Even worse, you've now got a non - applying patch in the package which needed rebasing which you did not rebase. This should have broken the build, but it did note this is an rpm bug, see: bug 485584. But still something which you should have noticed (I did and it was fixed in the version I had al ready to commit).

I'm doing a new fixed build now. And I'm still interested in co-maintaining if you want a co-maintainer.

Note You need to log in before you can comment on or make changes to this bug.